Subject: OMAP baseline test results for v3.7-rc1

From: [email-masked] (Kevin Hilman)
Date: Wed, 31 Oct 2012 11:49:58 +0100

Hi Jean,

Jean Pihet <[email-masked]> writes:

[...]

>> Based on a very quick look, I'd say the original patch 3db11fe is broken.
>> I don't see how it can ensure that its PM_QOS_CPU_DMA_LATENCY request is
>> honored when CONFIG_CPU_IDLE=n. CONFIG_CPU_IDLE=n is the default for
>> omap2plus_defconfig.
>
> Withtout CPU_IDLE set the PM QoS has no influence on the power domains states.

Exactly, which means there is *no* constraint set when CPUidle is
disabled, and it's exactly this that is different from the behavior
before your patch.

Before your patch, the constraint would be set whether or not CPUidle
was enabled, correct?

The solution to this will probably be to make OMAPs non-CPUidle idle path
check the constraints.

Kevin